<template>
  <div class="product-price">
    <i18n-n :value="formattedPrice" format="currency" :locale="locale">
      <template v-slot:currency="slotProps">
        <span class="product-price__currency" v-text="slotProps.currency"></span>
      </template>
      <template v-slot:integer="slotProps">
        <span class="product-price__integer" v-text="slotProps.integer"></span>
      </template>
      <template v-slot:group="slotProps">
        <span class="product-price__group" v-text="slotProps.group"></span>
      </template>
      <template v-slot:fraction="slotProps">
        <span class="product-price__fraction" v-text="slotProps.fraction"></span>
      </template>
    </i18n-n>
  </div>
</template>

<script>
export default {
  name: 'ProductPrice',

  props: {
    value: {
      type: [Number, String],
      required: true,
    },

    locale: {
      type: String,
      default: 'ru-RU',
    },
  },

  computed: {
    formattedPrice() {
      const price = this.value.toString().replace(/[^0-9.]/g, '')
      return parseFloat(price)
    },
  },
}
</script>

<style lang="scss">
.product-price {
  &__integer {
    font-family: $numerals-font-family;
    font-weight: 400;
  }
}
</style>
